---
title: CSS Scroll Snap
slug: Web/CSS/CSS_Scroll_Snap
tags:
  - CSS
  - CSS Scroll Snap
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p class="summary"><strong>CSS Scroll Snap</strong> is a module of CSS that introduces scroll snap positions, which enforce the scroll positions that a {{Glossary("scroll container")}}’s {{Glossary("scrollport")}} may end at after a scrolling operation has completed.</p>

<div class="note">
<p><strong>Note</strong>: The previous version of this module was called Scroll Snap Points and has been deprecated. CSS Scroll Snap is the current implementation.</p>
</div>

<h2 id="Reference">Reference</h2>

<h3 id="CSS_Properties_on_Containers">CSS Properties on Containers</h3>

<ul>
	<li>{{cssxref("scroll-snap-type")}}</li>
	<li>{{cssxref("scroll-snap-stop")}}</li>
	<li>{{cssxref("scroll-padding")}}</li>
	<li>{{cssxref("scroll-padding-top")}}</li>
	<li>{{cssxref("scroll-padding-right")}}</li>
	<li>{{cssxref("scroll-padding-bottom")}}</li>
	<li>{{cssxref("scroll-padding-left")}}</li>
	<li>{{cssxref("scroll-padding-inline")}}</li>
	<li>{{cssxref("scroll-padding-inline-start")}}</li>
	<li>{{cssxref("scroll-padding-inline-end")}}</li>
	<li>{{cssxref("scroll-padding-block")}}</li>
	<li>{{cssxref("scroll-padding-block-start")}}</li>
	<li>{{cssxref("scroll-padding-block-end")}}</li>
</ul>

<h3 id="CSS_Properties_on_Children">CSS Properties on Children</h3>

<ul>
	<li>{{cssxref("scroll-snap-align")}}</li>
	<li>{{cssxref("scroll-margin")}}</li>
	<li>{{cssxref("scroll-margin-top")}}</li>
	<li>{{cssxref("scroll-margin-right")}}</li>
	<li>{{cssxref("scroll-margin-bottom")}}</li>
	<li>{{cssxref("scroll-margin-left")}}</li>
	<li>{{cssxref("scroll-margin-inline")}}</li>
	<li>{{cssxref("scroll-margin-inline-start")}}</li>
	<li>{{cssxref("scroll-margin-inline-end")}}</li>
	<li>{{cssxref("scroll-margin-block")}}</li>
	<li>{{cssxref("scroll-margin-block-start")}}</li>
	<li>{{cssxref("scroll-margin-block-end")}}</li>
</ul>

<h2 id="Guides">Guides</h2>

<ul>
	<li><a href="/en-US/docs/Web/CSS/CSS_Scroll_Snap/Basic_concepts">Basic concepts of CSS Scroll Snap</a></li>
	<li><a href="/en-US/docs/Web/CSS/CSS_Scroll_Snap/compat">Browser Compatibility and Scroll Snap</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("CSS Scroll Snap Points")}}</td>
			<td>{{Spec2("CSS Scroll Snap Points")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The individual property pages detail the browser compatibility situation for Scroll Snap. <a href="/en-US/docs/Web/CSS/CSS_Scroll_Snap/compat">Read the guide to browser compatibility</a> for an overview of how to support both the old and new specification. </p>
